summaryrefslogtreecommitdiff
path: root/artistic
diff options
context:
space:
mode:
authorMárcio Alexandre Silva Delgado <coadde@adinet.com.uy>2012-07-19 16:32:18 -0300
committerMárcio Alexandre Silva Delgado <coadde@adinet.com.uy>2012-07-19 16:32:18 -0300
commit6a786c7dc640e38ce3f8485ef30669d03ababd62 (patch)
tree8f0a4173aad943ba17e5ee3ec3693ce2328d1bf2 /artistic
parent274160f84f8ddc005659c5041c6e5b8488513836 (diff)
spacenavd: updating package for systemd
Diffstat (limited to 'artistic')
-rw-r--r--artistic/spacenavd/PKGBUILD13
-rw-r--r--artistic/spacenavd/spacenav.service10
2 files changed, 20 insertions, 3 deletions
diff --git a/artistic/spacenavd/PKGBUILD b/artistic/spacenavd/PKGBUILD
index 1c117b804..cf8a43c32 100644
--- a/artistic/spacenavd/PKGBUILD
+++ b/artistic/spacenavd/PKGBUILD
@@ -3,21 +3,28 @@
pkgname=spacenavd
pkgver=0.5
-pkgrel=1
+pkgrel=2
pkgdesc="The spacenav project provides a free, compatible alternative, to the proprietary 3Dconnexion device driver and SDK, for their 3D input devices (called 'space navigator', 'space pilot', 'space traveller', etc)."
arch=('i686' 'x86_64' 'mips64el')
url="http://spacenav.sourceforge.net/"
license=('GPL')
depends=('libx11')
backup=('etc/spnavrc')
-source=(http://downloads.sourceforge.net/spacenav/$pkgname-$pkgver.tar.gz spacenavd )
+source=(http://downloads.sourceforge.net/spacenav/$pkgname-$pkgver.tar.gz
+ spacenavd
+ spacenav.service)
md5sums=('0bb21da5315bd376aa508157a9455aaa'
- '27a739300d4de07920879af2d2bdd47f')
+ '27a739300d4de07920879af2d2bdd47f'
+ 'b404c8021254636b861651a7a48d17a6')
+
build() {
cd $srcdir/$pkgname-$pkgver
./configure --prefix=$pkgdir/usr
make || return 1
make DESTDIR=$pkgdir install || return 1
+ # for initscript service
install -D -m755 $srcdir/spacenavd $pkgdir/etc/rc.d/spacenavd || return 1
+ # for systend service
+ install -D -m755 $srcdir/spacenav.service $pkgdir/usr/lib/systemd/system/spacenav.service || return 1
}
diff --git a/artistic/spacenavd/spacenav.service b/artistic/spacenavd/spacenav.service
new file mode 100644
index 000000000..30e8019e9
--- /dev/null
+++ b/artistic/spacenavd/spacenav.service
@@ -0,0 +1,10 @@
+[Unit]
+Description=Spacenavigator Daemon Service
+
+[Service]
+Type=forking
+ExecStart=/usr/bin/spacenavd
+
+[Install]
+WantedBy=multi-user.target
+